aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorArsenShnurkov <Arsen.Shnurkov@gmail.com>2015-10-29 06:03:21 +0300
committerArsenShnurkov <Arsen.Shnurkov@gmail.com>2015-10-29 06:03:21 +0300
commit9ad6c388b5f59e93eeb84fd31c99a622b4281f24 (patch)
tree42f85478cf27c7b02a97f09a856991e22396e8e1 /eclass
parentchange ebuild version (diff)
downloaddotnet-9ad6c388b5f59e93eeb84fd31c99a622b4281f24.tar.gz
dotnet-9ad6c388b5f59e93eeb84fd31c99a622b4281f24.tar.bz2
dotnet-9ad6c388b5f59e93eeb84fd31c99a622b4281f24.zip
ebuild features added
Diffstat (limited to 'eclass')
-rw-r--r--eclass/nuget.eclass25
-rw-r--r--eclass/nupkg.eclass16
2 files changed, 17 insertions, 24 deletions
diff --git a/eclass/nuget.eclass b/eclass/nuget.eclass
index d742265..02e13b8 100644
--- a/eclass/nuget.eclass
+++ b/eclass/nuget.eclass
@@ -9,30 +9,7 @@
# introduce nuget IUSE flag for packages that are on nuget to download them from nuget. (if sources fails with some reason or dependies is complicated or if user just want binaries).
# or maybe even introduce few packages that just downloads and instulls from nuget, reason is obviously - easy maintaince
-inherit dotnet
-
-# @FUNCTION: enuget_restore
-# @DESCRIPTION: run nuget restore
-# accepts path to .sln or .proj or .csproj file to restore as parameter
-enuget_restore() {
- nuget restore "$@" || die
-}
-
-# @ECLASS_VARIABLE: NUGET_DEPEND
-# @DESCRIPTION Set false to net depend on nuget
-: ${NUGET_NO_DEPEND:=}
-
-if [[ -n $NUGET_NO_DEPEND ]]; then
- DEPEND+=" dev-dotnet/nuget"
-fi
-
-NPN=${PN/_/.}
-if [[ $PV == *_alpha* ]] || [[ $PV == *_beta* ]] || [[ $PV == *_pre* ]]
-then
- NPV=${PVR/_/-}
-else
- NPV=${PVR}
-fi
+inherit nupkg
# @FUNCTION: nuget_src_unpack
# @DESCRIPTION: Runs nuget
diff --git a/eclass/nupkg.eclass b/eclass/nupkg.eclass
index 398c4ab..4142588 100644
--- a/eclass/nupkg.eclass
+++ b/eclass/nupkg.eclass
@@ -9,6 +9,13 @@
inherit dotnet
+# @FUNCTION: enuget_restore
+# @DESCRIPTION: run nuget restore
+# accepts path to .sln or .proj or .csproj file to restore as parameter
+enuget_restore() {
+ nuget restore "$@" || die
+}
+
# @FUNCTION: enuspec
# @DESCRIPTION: run nuget pack
# accepts path to .nuspec file as parameter
@@ -51,3 +58,12 @@ enupkg() {
if [[ -n $NUGET_NO_DEPEND ]]; then
DEPEND+=" dev-dotnet/nuget"
fi
+
+NPN=${PN/_/.}
+if [[ $PV == *_alpha* ]] || [[ $PV == *_beta* ]] || [[ $PV == *_pre* ]]
+then
+ NPV=${PVR/_/-}
+else
+ NPV=${PVR}
+fi
+